import { Scene, View } from "core"
import { Turns, Templates: { LeftToolbar } } from "ttp-std"

const { view, players } = new Scene() // Maybe this could actually instantiate the game scene? Would open the door for work before the engine starts
const toolbar = new LeftToolbar(view)
const startBtn = view.createElement("button")

view.append(toolbar)
toolbar.append(startBtn)

startBtn.innerText = "Play Game"
startBtn.onclick = function({ player }) {
  if (player.host) {
    const turns = new Turns(players)

    const continueBtn = view.createElement("button")
    continueBtn.innerText = "End Turn";
    continueBtn.onClick = () => turns.continue()

    turns.on("turn", player => continueBtn.visibleTo.push(player))
    turns.continue()

    toolbar.remove(startBtn)
    toolbar.append(continueBtn)
  }
}